Skip to main content
`Ctrl`+`K`

# MatPartitioningChacoGetEigenSolver

Get the eigensolver used by the Chaco partitioner.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningChacoGetEigenSolver(MatPartitioning part, MPChacoEigenType *method)

Not Collective

## Input Parameter

- part - the partitioning context

## Output Parameter

- method - the method

## See Also

`MatPartitioningType`, `MatPartitioning`, `MATPARTITIONINGCHACO`, `MatPartitioningChacoSetEigenSolver()`

## Level

advanced

## Location

src/mat/graphops/partition/impls/chaco/chaco.c

## Implementations

MatPartitioningChacoGetEigenSolver_Chaco() in src/mat/graphops/partition/impls/chaco/chaco.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages